#pragma once
#include <cstddef>
#include "CSerialPort.h"
#include <windows.h>

#ifdef  __DLLEXPORT
#define __DLL_EXP _declspec(dllexport)
#else
#define __DLL_EXP _declspec(dllimport)
#endif //  __DLLEXPORT

//ͨʵ
CSerialPort *sport;
//ָ
bool SendCmd(UCHAR* cmdData, INT32 length);
//ָض
bool SendAndReadData(UCHAR* cmdData, INT32 length, float& readData);

// жǷc++
#if defined(__cplusplus)||defined(c_plusplus)
extern "C"
{
#endif
	
	//ѹvalue·ֵزǷɹ
	__DLL_EXP bool SetVoltag(float value);
	//ȡ豸õѹreadDataȡֵزǷɹ
	__DLL_EXP bool ReadVoltag_set(float& readData);
	//ȡ豸ĲѹreadDataȡֵزǷɹ
	__DLL_EXP bool ReadVoltag_measure(float& readData);

	//value·ֵزǷɹ
	__DLL_EXP bool SetCurrent(float value);
	//ȡ豸õreadDataȡֵزǷɹ
	__DLL_EXP bool ReadCurrent_set(float& readData);
	//ȡ豸ĲreadDataȡֵزǷɹ
	__DLL_EXP bool ReadCurrent_measure(float& readData);

	//豸״̬state·״̬زǷɹ
	__DLL_EXP bool SetPowerSwitch(bool state);
	//ȡ豸״̬readStateȡ״̬زǷɹ
	__DLL_EXP bool ReadPowerSwitch(bool& readState);

	//豸IDšid·ֵزǷɹ
	__DLL_EXP bool SetDeviceID(UCHAR id);
	//ȡ豸šidȡֵزǷɹ
	__DLL_EXP bool ReadDeviceID(UCHAR& id);

	//ùѹѹvalue·ֵزǷɹ
	__DLL_EXP bool SetOVP(float value);
	//ȡѹѹvalueȡֵزǷɹ
	__DLL_EXP bool ReadOVP(float& readData);
	//OVP״̬state·ֵزǷɹ
	__DLL_EXP bool SetOVPSwitch(bool state);
	//ȡOVP״̬readStateȡֵزǷɹ
	__DLL_EXP bool ReadOVPSwitch(bool& readState);

	//ùvalue·ֵزǷɹ
	__DLL_EXP bool SetOCP(float value);
	//ȡvalueȡֵزǷɹ
	__DLL_EXP bool ReadOCP(float& readData);
	//OCP״̬state·ֵزǷɹ
	__DLL_EXP bool SetOCPSwitch(bool state);
	//ȡOCP״̬readStateȡֵزǷɹ
	__DLL_EXP bool ReadOCPSwitch(bool& readState);

	//ʼCSerialPortʵøÿļǰҪȵøóʼֵ֤Ϊtrueʹã
	__DLL_EXP bool InitSerialPort(BYTE com);

	
	
#if defined(__cplusplus)||defined(c_plusplus)
}
#endif

